Intrusion Prevention

MoreAmp.MAF.File.Buffer.Overflow

Description

This indicates an attack attempt against a buffer overflow vulnerability in MoreAmp.
The vulnerability is caused by an error when the vulnerable software handles a specially crafted MAF file. It allows a remote attacker to execute arbitrary code.

Affected Products

MoreAmp 0.1.25

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the patch supplied by the vendor:
MoreAmp MoreAmp-0.1.26-binOSXppc.dmg
http://sourceforge.net/projects/moreamp/files/moreamp/MoreAmp-0.1.26/M oreAmp-0.1.26-binOSXppc.dmg/download
MoreAmp MoreAmp-0.1.26-binOSXintel.dmg
http://sourceforge.net/projects/moreamp/files/moreamp/MoreAmp-0.1.26/M oreAmp-0.1.26-binOSXintel.dmg/download
MoreAmp MoreAmp-0.1.26-binWin.zip
http://sourceforge.net/projects/moreamp/files/moreamp/MoreAmp-0.1.26/M oreAmp-0.1.26-binWin.zip/download

CVE References

CVE-2010-2439